---
title: "xLine"
excerpt: "Draw a line relative to the current origin to a specified distance away"
layout: manual
---

Draw a line relative to the current origin to a specified distance away

from the current position along the 'x' axis.

```js
xLine(length: number, sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `length` | `number` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> xLine(15, %)
  |> angledLine({ angle = 80, length = 15 }, %)
  |> line(end = [8, -10])
  |> xLine(10, %)
  |> angledLine({ angle = 120, length = 30 }, %)
  |> xLine(-15, %)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of xLine 0](data:image/png;base64,[encoded data, 90292 characters])


